#include <tigcclib.h>

#define NBMAX 8
#define MAX_P NBMAX
#define MAX_T NBMAX
#define TRUE 1
#define FALSE 0
#define PINV TRUE
#define TINV FALSE
#define TYPE_P 1
#define TYPE_T 0
#define MAX_ENTIER 32767 /* 2^15-1  Valeur  ajuster suivant le compilateur */


struct listeVecteur
	{
		int V[MAX_P] ;
		struct listeVecteur *pSuivant ;
	} ;

struct listeListe
	{
		int V[MAX_P] ;
		struct listeVecteur *tete_Chemin ;
		struct listeListe *pSuivant ;
	} ;

struct listeNombre
	{
		int nombre ;
		struct listeNombre *pSuivant ;
	} ;

struct listeHybrid
	{
    	int indice ;
      int k ;
      int type ;
      struct listeHybrid *pSuivant ;
      struct listeHybrid *pPrecedent ;
   } ;

extern int maxi(int a, int b) ;

extern int mini(int a, int b) ;

extern int V1egaleV2( int V1[MAX_P],
               				int V2[MAX_P],
               				int nb) ;
               				
extern int VestdansLV( 	int Vect[MAX_P],
                				struct listeVecteur *L,
                				int taille_V) ;
                				
extern int VestdansLL( 	int Vect[MAX_P],
                				struct listeListe *L,
                				int taille_V) ;
                				
extern int V1supV2( int V1[MAX_P],
             				int V2[MAX_P],
             				int nb ) ;
             				
extern void afficheV( int V[MAX_P],
               				int nb) ;
               				
extern int pgcd (int a, int b) ;

extern int M_multp_Ident_est_nulle(	int M[][NBMAX],
                            				int nb_l,
                            				int nb_c) ;
                            				
extern void aff_mat(int tab[][NBMAX],
             				int nb_P,
             				int nb_T ) ;


