#include "fbase.h"

/*******************************************************

Procdure de simulation de squence de transition

pCourantL, tete_L : pointeur vers la liste de transitions

i : indice de Place
j : indice de transition


struct listeNombre
	{
		int nombre ;
		struct listeNombre *pSuivant ;
	} ;


*******************************************************/

int sequence(int nb_T,
             int nb_P,
             int pre[][MAX_T],
             int inc[][MAX_T],
             int M0[MAX_P])
{
   struct listeNombre *tete_L = NULL, *pCourantL = NULL, *pL ;
   int i, indice, boucle = TRUE, arret = FALSE ;
   int M[MAX_P], V_pre[MAX_P] ;
   short chx ;
   char buff[10] ;
   
	 clrscr() ;
   printf("Enter Sequence i1..in ") ;
	 printf("\n");
   printf("(e)nd for stop):\n") ;
   while (indice = atoi(gets(buff)))
   {
		printf(" ") ;
   	if ((indice >= 0) && (indice <= nb_T))
      {
         if ((pL =  (struct listeNombre*)malloc(sizeof(struct listeNombre))) == NULL)
            return FALSE ;
         if (tete_L == NULL)
            tete_L = pL ;
         else
            pCourantL->pSuivant = pL ;
         pL->nombre = indice ;
         pL->pSuivant = NULL ;
         pCourantL = pL ;
      }
      else
      {
         printf("\nIncorrect transition!!!\n\nPress a Key") ;
         ngetchx() ;
         if (tete_L != NULL)
         {
         	pCourantL = tete_L ;
         	do
         	{
          		pL = pCourantL ;
            	pCourantL = pCourantL->pSuivant ;
            	free(pL) ;
         	}
         	while(pCourantL != NULL) ;
         }
         return TRUE ;
      }
   }
   
   if (tete_L == NULL)
   {
   	printf("\nNo transition!!!\n\nPress a Key") ;
    ngetchx() ;
    return TRUE ;
   }
   else
   {
   	clrscr() ;
   	printf("Transitions to fire :\n{") ;
   	pCourantL = tete_L ;
      do
      {
      	printf(" T%d",pCourantL->nombre) ;
         pCourantL = pCourantL->pSuivant ;
      }
      while (pCourantL != NULL) ;
      printf(" }\n\nPress a Key") ;
      ngetchx() ;
   }

   pCourantL = tete_L ;
   for (i=0; i<nb_P; i++)
		M[i] = M0[i] ;
   do
   {
   	for (i=0; i<nb_P; i++)
			V_pre[i] = pre[i][pCourantL->nombre-1] ;

   	if (V1supV2(M,V_pre,nb_P) == TRUE)

/* la transition pCourantL->nombre est tirable	*/

		{
			clrscr() ;
			afficheV(M,nb_P) ;
			printf("\n\n-> T%d ->\n\n",pCourantL->nombre) ;

			for (i=0; i<nb_P; i++)
				M[i] += inc[i][pCourantL->nombre-1] ;

			afficheV(M,nb_P) ;
			printf("\n\nESC:end or press a key\n") ;
			chx = ngetchx() ;
			if (chx == KEY_ESC)
         	arret = TRUE ;
     }
     else
     {
      	clrscr() ;
       	printf("No firing to T%d for\n",pCourantL->nombre) ;
        afficheV(M,nb_P) ;
        printf("\n\nPress a Key") ;
        ngetchx() ;
        arret = TRUE ;
        do
        {
          pL = pCourantL ;
           pCourantL = pCourantL->pSuivant ;
           free(pL) ;
        }
        while(pCourantL != NULL) ;
        return TRUE ;        
     }
        
     pL = pCourantL ;
     pCourantL = pCourantL->pSuivant ;
     free(pL) ;
   }
   while ((pCourantL != NULL) && (arret != TRUE));

   if (arret != TRUE)
   {
			for(i=0; i<nb_P; i++)
   			if (M[i] != M0[i])
      		boucle = FALSE ;
   		if (boucle == TRUE)
      	printf("\nRepetitive Sequence") ;
      else
      	printf("\nNo Repetitive Sequence") ;      
      printf("\n\nPress a Key") ;
			ngetchx() ;   	
   } 

  return TRUE ;
}

